package proto

import "time"

type NodePublicInfo struct {
    UUID string `json:"uuid"`
    PublicKey string `json:"public_key"`
    UDPPort int `json:"udp_port"`
    Endpoint string `json:"endpoint"`
    Country string `json:"country"`
    CountryCode string `json:"country_code"`
    Type string `json:"type"`
    StartedAt time.Time `json:"started_at"`
    Uptime time.Duration `json:"uptime_ns"`
}
